It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
avatar
Splatsch: I hope that next time, when you'll finally play it again it'll be with as few issues as possible this time !
Well, for next time I have DRM-free copy from Humble Bundle so it should be, probably, some different code.
avatar
Lexor: Well, for next time I have DRM-free copy from Humble Bundle so it should be, probably, some different code.
Oh ok :)
I hope it will be flawless then ;)
avatar
Lexor: This topic is old, maybe it's fixed.
avatar
Splatsch: I just wanted to install the game with a fresh downloaded offline installer, and game main menu says it's "build 34,387".
Sooo... I haven't followed exactly all this story, but... isn't this an outdated version which, if I understood well may contains still some bugs ?

- Should I install the patch's files from OperationKordar.rar as suggested here ? https://www.gog.com/forum/kings_bounty_series/gogs_kings_bounty_the_legend_v1_7_build_35396_has_some_serious_bugs/post33
- Or use Atari's .exe which is build 35234, as suggested here : https://www.gog.com/forum/kings_bounty_series/kings_bounty_the_legend_reverting_to_version_16/post5 and https://www.gog.com/forum/kings_bounty_series/kbtl_how_to_load_the_game_after_the_upper_hadar_solution/post5
- Or simply contact GOG's support (or 1C publishing ?) to ask them if there could be an official update of the game ?
- Or play the game and wait to see if I encounter a bug ?
I managed to finish the game with the Atari executable, everything worked fine both Upper Hadar and the Necromancy skill
Post edited November 28, 2018 by drk84x
avatar
drk84x: I managed to finish the game with the Atari executable, everything worked fine both Upper Hadar and the Necromancy skill
Okay, I'll use it if I encounter an issue then :)
Thanks for your feedback !